[Haskell-cafe] Building cabal-install for new ghc build

Lyndon Maydwell maydwell at gmail.com
Mon Apr 16 05:28:39 CEST 2012

Hi Café.

I'm building GHC from package ghc-7.4.1-src.tar.bz2 as the binary
download was throwing segfaults for me (and apparently a few others).
This has worked well and my issues with GHC and GHCi are now resolved.
However I have needed to build cabal-install. This can't be done using
cabal-install because it isn't installed :)

I've found that I had to make several modifications to the
bootstrap.sh and cabal-install.cabal files in order to get this to
work. I am wondering how the maintainers of the Haskell-platform, etc
are dealing with these issues. There seems to be a cabal-install-7.4.1
package on Hackage to address these issues, but I couldn't get it to
work for me. Is this actually being used by the community?

I realize that I am making trouble for myself by not just using the
Haskell-Platform, but there are some packages I want to use that
depend on recent versions of base.


More information about the Haskell-Cafe mailing list